// ignore_for_file: public_member_api_docs

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support_for_wearcardiot/'
    'healthrian_ble_support_for_wearcardiot.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

part 'ecg_weart.g.dart';

@CopyWith()
class EcgWearT extends StatelessWidget {
  const EcgWearT({
    super.key,
    this.onLoadingWidget,
    this.streams,
    this.height = 200,
    this.color = Colors.red,
    this.measureTime = 15,
  });

  final int measureTime;
  final Color color;
  final Streams? streams;
  final double height;
  final Widget? onLoadingWidget;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: MediaQuery.of(context).size.width,
      height: height,
      child: Observer(
        key: UniqueKey(),
        builder: (context) {
          return StreamBuilder(
            stream: (streams ?? BLEManager().streams).bufferedPlotStreamEcg,
            builder: (context, snapshot) {
              if (!snapshot.hasData) {
                return onLoadingWidget ?? const Text('No Stream');
              }
              return Channel(
                ecgSequence: snapshot.data!,
                color: color,
                measureTime: measureTime,
              );
            },
          );
        },
      ),
    );
  }
}
